<?php
/********************************************
* 
* System:   EASY 2.0 Loginsystem
* Author:   Marius Rasche (aka Marlight)
* File:     index.php
* FVersion: 0.1.2 (this file)
* SVersion: 0.9.6.1 (complete System)
* Date:     04.03.2018
*
* Created by www.marlight-systems.de
* Copyright by Marlight Systems (www.marlight-systems.de)
* All rights reserved.
* 
*********************************************/

// Session starten | Start session
session_name("EASY_2");
session_start();

// Fehler-Ausgabe | Error output
error_reporting(E_ALL);
ini_set('display_errors', false);

// For install
if(!file_exists('./system/config.inc.php')){
	if(is_dir('./install/') && file_exists('./install/index.php'))
		header('Location: ./install/');
	exit('System nicht installiert!');
}

// Dateien einbinden | Including files
require_once('./system/config.inc.php');
require_once('./system/functions.inc.php');
require_once('./system/functions.user.php');
require_once('./system/classes.run.php');
require_once('./system/classes.run.user.php');
require_once('./system/run.inc.php');
require_once('./system/run.user.php');
require_once('./system/error_handling.php');

$sites->includeSite(true);

?>
<!DOCTYPE html>
<html lang="de">
  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title><?php echo $sites->getSiteName(); ?></title>
	<!-- Favicon -->
	<link rel="shortcut icon" href="favicon.ico">
	  
    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/modern-business.css" rel="stylesheet">
	<link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
	<link href="css/mlsystems.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

  </head>
  <body <?php if($loginsystem->is_locked() == true) echo 'class="locked"'; ?>>
	<?php if($loginsystem->is_locked() == false){ ?>
    <!-- Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="./"><?php echo $loginsystem->getMainData('site_title'); ?></a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
			  		<?php echo $menu->getMenu(); ?>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container -->
    </nav>
	
	<?php include($sites->includeSite()); ?>
    <div class="container">
		<hr>
		<footer>
			<div class="row">
				<div class="col-lg-12">
					<p>Copyright &copy; Your Website 2017</p>
				</div>
			</div>
		</footer><!-- Footer -->
    </div><!-- /.container -->
	<?php } else { // Benutzer gesperrt
			require_once('./templates/login/locked.php');
		} ?>
    <!-- jQuery -->
    <script src="js/jquery.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>

    <!-- Script to Activate the Carousel -->
    <script>
    $('.carousel').carousel({
        interval: 5000 //changes the speed
    })
    </script>

  </body>

</html>
